import '../../../../platform/instantiation/common/instantiation.js';
import { EditorPaneDescriptor } from '../../../browser/editor.js';
class EditorPaneService {
    constructor() {
        this.onWillInstantiateEditorPane = EditorPaneDescriptor.onWillInstantiateEditorPane;
    }
    didInstantiateEditorPane(typeId) {
        return EditorPaneDescriptor.didInstantiateEditorPane(typeId);
    }
}
export { EditorPaneService };
